var aktivanlage=null;
function initial() {
hasNewData();
}
function updateSettings()
{
	var settings = JSON.parse(JSON.stringify(lastData.settings));
	jQuery.each(settings, function(i, val) {
 		settings[i] = $('#'+i).val();
});
	$.post("testing.php?settings=1",settings, function(data, textStatus) {
  if(data.error)
  {
$('#errorSettings').html("Falsche Inputwerte");
  }
  else{
$('#errorSettings').html("");
  }
}, "json");
	}
var anlage = 1;
function testNetz()
{
$.getJSON("testing.php?device=net", function() {
		}
	);
}
function updateLocalTime()
{
var d = new Date();
	$('#localtime').html('<span >Rechner: '+d.toISOString()+'</span>');
	return d;
}
function syncTime()
{
	$.get("testing.php?synctime="+(new Date()).getTime()/1000);
}
function testSchwert()
{
$.getJSON("testing.php?device=sword", function() {
		}
	);
}
function testGPIO()
{
$.getJSON("testing.php?device=gpio", function() {
		}
	);
}
function testGPIOAll()
{
$.getJSON("testing.php?device=gpioall", function() {
		}
	);
}
function hasNewData() {
	$.getJSON("getData.php", function(json) {
			aktualDataLiveShow(json);
			updateLocalTime();
			setTimeout(function() {
				hasNewData();
			}, 1000);
		}
	);
}
var schalterzu ='zu';
var schalterauf ='auf';
var json = {"date":1506697063245,
"netblocked":0,
"heatingHouseR":24.68,
"GPIOPump":false,
"neterror":0,
"heatingHouseV":24.22,
"GPIOHeatingBlade":false,
"testsword":0,
"heatingHousePower":0,
"sword":0,
"tsr":27,
"GPIOValveClose":false,
"tsv":29,
"tpr":29,
"heatingHouseEnergy":2.000,
"GPIOValveOpen":false,
"tpv":29,
"mbusError":0,
"valve":0,
"pump":0,
"testnet":0,
"t2":30,
"t3":30,
"network":{
	"enxb827ebcce2b7":"192.168.1.120",
	"lo":"127.0.0.1",
	"wlan0":"192.168.101.1"
},
"settings":
{
	"minT2":20,
	"minT3":20,
	"maxT3":100,
	"maxT2":100,
	"offsetSword":5,
	"justMonitoring":1,
	"dblogperHour":12
	}
};

var lastData =json;
function aktualDataLiveShow(json) {
	var date = moment(json.date).format("DD.MM.YY HH:mm:ss");

	$('#dataDate').html(date + (json.neterror>0?' FEHLER: '+json.neterror:'')
	+(json.testgpio != undefined?' GPIO-Test: '+json.testgpio:''));
	$('#dataRL').html(json.tpr + ' °');
	$('#dataVL').html(json.tpv + ' °');
	$('#dataRL2').html(json.tsr + ' °');
	$('#dataVL2').html(json.tsv + ' °');
	$('#dataRegulationTemp').html(json.regulationTemp != undefined?json.regulationTemp + ' °':'---');


	$('#dataT2').html(json.t2 + ' °');
	$('#dataT3').html(json.t3 + ' °');
	if(json.isbufferToLow>0)
	{
			$('#dataT1').html('zkoid');
	}
	else if(json.isbufferToHigh>0)
	{
			$('#dataT1').html('zwoam');
	}
	else
	{
			$('#dataT1').html('bast');
	}
	$('#dataheatingHouseR').html(json.heatingHouseR + ' °');
	$('#dataheatingHouseV').html(json.heatingHouseV + ' °');
	$('#dataheatingHousePower').html(json.heatingHousePower/1000.0 + ' kW');
	$('#dataheatingHouseEnergy').html(json.heatingHouseEnergy/1000.0 + ' kWh');
	$('#dataVentil').html(json.valve==0?schalterzu:schalterauf);
	$('#dataPumpe').html(json.pump==0?schalterzu:schalterauf);
	$('#dataSchwert').html(json.sword==0?schalterzu:schalterauf);
	var gpioOnline = '<span class="glyphicon glyphicon-off online">';
	var gpioOffline = '<span class="glyphicon glyphicon-off offline">';
	var gpios ='';
	if(json.GPIOValveOpen)
	{
		gpios +=gpioOnline;
	}
	else {
		gpios +=gpioOffline;
	}
		gpios +='Ventil öffnen</span>';
	if(json.GPIOValveClose)
	{
		gpios +=gpioOnline;
	}
	else {
		gpios +=gpioOffline;
	}
		gpios +='Ventil schließen</span>';
	if(json.GPIOPump)
	{
		gpios +=gpioOnline;
	}
	else {
		gpios +=gpioOffline;
	}
		gpios +='Pumpe</span>';
	if(json.GPIOHeatingBlade)
	{
		gpios +=gpioOnline;
	}
	else {
		gpios +=gpioOffline;
	}
			gpios +='Heizschwert</span>';
	if(json.hasConsumer>0 )
	{
	if(json.GPIOConsumer)
	{
		gpios +=gpioOnline;
	}
	else {
		gpios +=gpioOffline;
	}
		gpios +='Consumer</span>';
	}
		$('#gpios').html(gpios);
		var ifconfig = '';
jQuery.each(json.network, function(i, val) {
 ifconfig +='<span >'+i+': '+val+'</span>';
});
		$("#ifconfig").html(ifconfig);
		$("#servertime").html('<span >Remote: '+json.servertime+'</span>');

var settingsChanged= false;
jQuery.each(json.settings, function(i, val) {
 if(val != lastData.settings[i])
 {
settingsChanged =true;
 }
});
if(settingsChanged)
{
		var settings = '';
	jQuery.each(json.settings, function(i, val) {
	 	settings +='<span >'+i+': '+val+'<input style="float:right;" size="2" type="text" name="'+i+'" id="'+i+'" value="'+val+'"></span>';
	});
	settings += '<span style="height:20px;"><input class="button" type="button" onclick="updateSettings();" value="Einstellungen ändern"></span>';
		$("#settings").html(settings);
		}
	// $('#animateP').animate({backgroundColor: '#FF0000'}, 'slow');
	var color1 = 'rgba(255,160,0,1)';
	var color2 = 'rgba(255,' + parseInt(160 - (json.t3 - 50) * 4) + ',0,1)';

	$('#animateP').css(
			{
				background : "-webkit-linear-gradient(bottom," + color1 + ", "
						+ color2 + ")"
			}).css({
		background : "-o-linear-gradient(top," + color1 + ", " + color2 + ")"
	}).css({
		background : "-moz-linear-gradient(top," + color1 + ", " + color2 + ")"
	}).css({
		background : "linear-gradient(top," + color1 + ", " + color2 + ")"
	});
	if (json.pump == 1) {
		startFade('fadePumpe');
	} else {
		stopFade('fadePumpe');
	}
	if (json.valve == 1) {
		startFade('fadeVentil');
	} else {
		stopFade('fadeVentil');
	}
	if (json.sword == 1) {
		startFade('fadeSchwert');
	} else {
		stopFade('fadeSchwert');
	}


	if (json.testgpio != undefined) {
		if (json.testgpioall != undefined) {
			startFade('testGPIOAll');
		} else {
			startFade('testGPIO');
		}
	} else {
		stopFade('testGPIO');
	}
	if (json.testsword == 1 ) {
		startFade('testSchwert');
	} else {
		stopFade('testSchwert');
	}
	if (json.testnet ==1 ) {
		startFade('testNetz');
	} else {
		stopFade('testNetz');
	}
	lastData =json;
}

function startFade(name) {
	if (!faders[name]) {
		faders[name] = true;
		opacityShow(name);
	}
}
function stopFade(name) {
	if (faders[name])
		delete faders[name];
}
var faders = {};
function opacityShow(name) {
	var obj = $('#' + name);
	obj.fadeTo(1000, 1, "swing", function() {
		opacityHide(name);
	});
}
function opacityHide(name) {
	if (faders[name]) {
		$('#' + name).fadeTo(1000, 0, "swing", function() {
			opacityShow(name);
		});
	}
}
